Bug 472724 - Review Request: xjparse - wrapper for the Xerces XML Schema validator
Review Request: xjparse - wrapper for the Xerces XML Schema validator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 00:30 EST by Brennan Ashton
Modified: 2008-12-11 00:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 00:50:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brennan Ashton 2008-11-24 00:30:47 EST
Spec URL: http://bashton.fedorapeople.org/xjparse.spec
SRPM URL: http://bashton.fedorapeople.org/xjparse-1.0-1.fc9.src.rpm
Description: 
The xjparse tool is a simple command-line wrapper for the Xerces XML Schema validator. It accepts several options, notably one which specifies the set of schemas to be used during validation.

I have scratch-built it for fedora 9 with koji on all arch
http://koji.fedoraproject.org/koji/taskinfo?taskID=947352

This is my first package so I need a sponsorship. More packages are on the way once this happens.
Comment 1 Brennan Ashton 2008-11-24 01:30:08 EST
I had forgotten to run rpmlint, it no longer has any warnings or errors.
Comment 2 Brennan Ashton 2008-11-25 18:53:56 EST
Just updated the spec and SRPM for a couple of build issues.  There are now no rpmlint errors except for one that is complaining about missing doc.  There are no licence or readme files included in the src zip what do I do?
Comment 3 Brennan Ashton 2008-11-26 15:13:09 EST
Location of new files
Spec URL: http://bashton.fedorapeople.org/xjparse.spec
SRPM URL: http://bashton.fedorapeople.org/xjparse-1.0-2.fc9.src.rpm

rpmlint xjparse.spec ../SRPMS/xjparse-1.0-2.fc9.src.rpm ../RPMS/noarch/xjparse-1.0-2.fc9.noarch.rpm 
xjparse.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 4 Dominik 'Rathann' Mierzejewski 2008-11-30 11:11:36 EST
MD5 sum matches upstream.

$ md5sum xjparse-src-1.0.zip
8722e59eb5b7b1d1adebd8f39b8f93db  xjparse-src-1.0.zip


Some comments:

Group:          Applications/Text       
License:        ASL 2.0 

These two lines have trailing whitespace.


%description
The xjparse tool is a simple command-line wrapper for the Xerces XML Schema
validator. It accepts several options, notably one which specifies the set of
 schemas to be used during validation.

Nitpick: move "of" to the beginning of the following line.


cp -p build/xjparse.jar \ 
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

You might also need this:
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
Otherwise you need to specify xjparse-1.0 instead of just xjparse in build-classpath call to run it:
java -cp `build-classpath xjparse-1.0 xml-commons-resolver` com.nwalsh.parsers.xjparse
But if that's intentional then I have no objection. Most .jars installed in %{_javadir} do have such symlinks though.


%files
%defattr(-,root,root,-)
%{_javadir}/*

I know the template has this, but I'd rather you put the full path of the files that get installed here, i.e.
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar


* Tue Nov 25 2008 Brennan Ashton <bashton at, brennanashton.com> 1.0-2
- Now noarch
- Fixed discription line length
* Sun Nov 23 2008 Brennan Ashton <bashton at, brennanashton.com> 1.0-1
- Created spec file

Put an empty line between changelog entries.

You were asking what to do if there's no licence text included in the source archive:
- SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Please do this then.
Comment 5 Brennan Ashton 2008-12-01 02:01:57 EST
I have emailed upstream and am waiting for a response.  Fixed those couple of issues, all I need to do is write the wrapper script.
Comment 6 Dominik 'Rathann' Mierzejewski 2008-12-01 05:29:35 EST
(In reply to comment #5)
> I have emailed upstream and am waiting for a response.

You don't have to wait too long. Lack of licence file is not a blocker, especially if the sources contain licence headers.

> Fixed those couple of
> issues, all I need to do is write the wrapper script.

Great.
Comment 7 Brennan Ashton 2008-12-05 01:36:11 EST
Ok this should be the final packing, it passes rpmlint only warning about lack of documentation, which I have requested upstream include, but have not gotten a response about.  There is now a java wrapper script so it can be executed from the command line.

SPEC: http://bashton.fedorapeople.org/xjparse.spec
SRPM: http://bashton.fedorapeople.org/xjparse-1.0-3.fc9.src.rpm
Comment 8 Brennan Ashton 2008-12-09 01:00:51 EST
no response from Upstream about including the license, so this packages is ready for a final review.
Comment 9 Dominik 'Rathann' Mierzejewski 2008-12-09 15:30:22 EST
%attr(0755,root,root) %{_bindir}/xjparse

The %attr is redundant here, you're already installing this script with install -pm755. You can fix it while importing the package, which is now APPROVED.

Please apply for sponsorship into packager group in the Fedora Accounts System so that I can sponsor you.
Comment 10 Brennan Ashton 2008-12-09 17:55:23 EST
Ok I have the change made, and I have requested the sponsorship.
Thank you.
Comment 11 Dominik 'Rathann' Mierzejewski 2008-12-09 19:18:33 EST
Well done, you are now sponsored. Welcome aboard. Feel free to ask me if you have any questions regarding Fedora processes. Please follow up with a CVS request and close this review request when the package is built and submitted to all relevant Fedora branches.
Comment 12 Brennan Ashton 2008-12-09 19:57:56 EST
New Package CVS Request
=======================
Package Name: xjparse
Short Description: Wrapper for the Xerces XML Schema validator
Owners: bashton
Branches: F-9 F-10
InitialCC:
Comment 13 Kevin Fenzi 2008-12-09 22:25:26 EST
cvs done.
Comment 14 Brennan Ashton 2008-12-11 00:50:30 EST
Thank you everyone for your help.

Note You need to log in before you can comment on or make changes to this bug.